#
# spec file for package ghc-http2
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name http2
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        1.6.3
Release:        1.11
Summary:        HTTP/2 library including frames, priority queues and HPACK
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-psqueues-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-stm-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-Glob-devel
BuildRequires:  ghc-aeson-devel
BuildRequires:  ghc-aeson-pretty-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hex-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-unordered-containers-devel
BuildRequires:  ghc-vector-devel
BuildRequires:  ghc-word8-devel
%endif

%description
HTTP/2 library including frames, priority queues and HPACK.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc ChangeLog.md

%changelog
* Sun Feb 12 2017 psimons@suse.com
- Update to version 1.6.3 with cabal2obs.
* Sun Aug 21 2016 psimons@suse.com
- Update to version 1.6.2 revision 0 with cabal2obs.
* Sun Jul 17 2016 psimons@suse.com
- Update to version 1.6.1 revision 0 with cabal2obs.
  This change obsoletes cabal-deps.patch.
* Sun Jul 10 2016 mimi.vx@gmail.com
- update to 1.6.1
  * Added length validation for RequestBodyStream
* Sat Apr  9 2016 mimi.vx@gmail.com
- update to 1.6.0
- refreshed cabal-deps.patch
  * Reverse indices of HPACK are now based on tokens.
  * New APIs: encodeTokenHeader and decodeTokenHeader.
  * Deleted API: encodeHeaderBuffer -- use encodeTokenHeader instead.
  * New module: Network.HPACK.Token
* Fri Mar 18 2016 mimi.vx@gmail.com
- update to 1.5.4
  * Fixing a bug due to misuse of memcpy()
* Wed Mar 16 2016 mimi.vx@gmail.com
- update to 1.5.3
  * Adding debug information.
* Sat Mar 12 2016 mimi.vx@gmail.com
- update to 1.5.2
  * Minor optimization for HPACK.
* Thu Feb 25 2016 mimi.vx@gmail.com
- update to 1.5.1
* Wed Feb 24 2016 mimi.vx@gmail.com
- update to 1.5.0
  * New API for HPACK. HPACK is much faster than 1.4.x (roughly x3.2). The default
    encoding is now Linear instead of LinearH.
* Thu Feb 11 2016 mimi.vx@gmail.com
- update to 1.4.5
  * Removing zero reset from priority queues.
* Fri Jan 22 2016 mimi.vx@gmail.com
- update to 1.4.4
  * Fixing a bug of reverse index.
* Wed Jan 20 2016 mimi.vx@gmail.com
- update to 1.4.3
  * Using proper baseDeficit for deletion.
  * Test files are now self-contained.
  * The reverse indices for static and dynamic are combined for performance.
  * Providing dequeueSTM, isEmpty and isEmptySTM. Users can compose their own control
    queue with dequeueSTM and isEmptySTM.
  * Removing enqueueControl: it appeared that PriorityTree is not suitable for
    control frames.
* Tue Dec 15 2015 mimi.vx@gmail.com
- update to 1.3.1
- refreshed cabal-deps.patch
  * Defining IllegalTableSizeUpdate.
  * APIs Network.HTTP2.Priority are changed again. Precedence is introduced.
  * APIs of Network.HTTP2.Priority are changed. delete is provided. Internal data
    structure is changed from random skew heap to priority search queue.
* Sat Sep 12 2015 mimi.vx@gmail.com
- initial commit
  * add cabal-deps.patch to remove bytestring-builder from cabal file
